Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1219612

Summary: Review Request: nodejs-mongodb-core - Core MongoDB driver functionality
Product: [Fedora] Fedora Reporter: Troy Dawson <tdawson>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, panemade, zsvetlik
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-24 14:56:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806    

Description Troy Dawson 2015-05-07 19:05:30 UTC
Spec URL: https://tdawson.fedorapeople.org/nodejs/nodejs-mongodb-core.spec
SRPM URL: https://tdawson.fedorapeople.org/nodejs/nodejs-mongodb-core-1.1.26-1.fc23.src.rpm
Description: Core MongoDB driver functionality, no bells and whistles
and meant for integration not end applications
Fedora Account System Username: tdawson

Comment 1 Parag AN(पराग) 2015-07-18 07:44:16 UTC
Let's fix this missing dependency in f23+.

can you provide latest upstream tarball packaged update here?

Comment 2 Troy Dawson 2015-07-20 21:08:42 UTC
Spec URL: https://tdawson.fedorapeople.org/nodejs/nodejs-mongodb-core.spec
SRPM URL: https://tdawson.fedorapeople.org/nodejs/nodejs-mongodb-core-1.2.7-1.fc23.src.rpm

Updated to 1.2.7, the latest upstream tarball.

Comment 3 Parag AN(पराग) 2015-07-22 03:40:28 UTC
Review:

+ Package build successfully in mock F24 x86_64

+ rpmlint on all generated rpms gave output
nodejs-mongodb-core.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Packaged source verified with upstream as (sha256sum)
source in tarball:6efaf61e6ceaa1fc322a01c480fcf347a1c8e57d911dc6546d4e87b5922d41b5
source from upstream: 6efaf61e6ceaa1fc322a01c480fcf347a1c8e57d911dc6546d4e87b5922d41b5

+ License "ASL 2.0" is valid and is included in LICENSE file.

+ follow nodejs packaging guidelines

Suggestions:
1) Group tag is not necessary except you have plans to build this for EPEL5.

2) you should follow https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#ExclusiveArch and use

ExclusiveArch: %{nodejs_arches} noarch

3) also we have a license tag to mark license files so you should use
%license LICENSE

See https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

APPROVED.

Comment 4 Troy Dawson 2015-07-22 13:39:15 UTC
New Package SCM Request
=======================
Package Name: nodejs-mongodb-core
Short Description: Core MongoDB driver functionality
Upstream URL: https://github.com/christkv/mongodb-core
Owners: tdawson
Branches: f23 epel7

Comment 5 Troy Dawson 2015-07-22 16:07:03 UTC
(In reply to Parag AN(पराग) from comment #3)
> Review:
> 
> + Package build successfully in mock F24 x86_64
> 
> + rpmlint on all generated rpms gave output
> nodejs-mongodb-core.noarch: W: only-non-binary-in-usr-lib
> 2 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> + Packaged source verified with upstream as (sha256sum)
> source in
> tarball:6efaf61e6ceaa1fc322a01c480fcf347a1c8e57d911dc6546d4e87b5922d41b5
> source from upstream:
> 6efaf61e6ceaa1fc322a01c480fcf347a1c8e57d911dc6546d4e87b5922d41b5
> 
> + License "ASL 2.0" is valid and is included in LICENSE file.
> 
> + follow nodejs packaging guidelines
> 
> Suggestions:
> 1) Group tag is not necessary except you have plans to build this for EPEL5.
> 
> 2) you should follow
> https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/
> Packagers#ExclusiveArch and use
> 
> ExclusiveArch: %{nodejs_arches} noarch
> 
> 3) also we have a license tag to mark license files so you should use
> %license LICENSE
> 
> See https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
> 
> APPROVED.

Thank you for the review.
I like all of your suggestions, and will implement them.

Comment 6 Gwyn Ciesla 2015-07-23 13:36:00 UTC
Git done (by process-git-requests).

Comment 7 Troy Dawson 2015-07-24 14:56:15 UTC
Now in rawhide and F23, marking this closed.